/**
 * Basecamp stylesheet, based on "alternate"
 *
 * author:Peter Theill, Commanigy - http://commanigy.com
 *
 * @2009-11-16 - fix #3069
 * @2009-11-12 - styling "password" fields as well with a simple border (similar to other fields)
 *
 */
@import url(//fonts.googleapis.com/css?family=PT+Sans:400,700,400italic,700italic|PT+Sans+Narrow:400,700|PT+Sans+Caption:400,700&amp;subset=cyrillic-ext,latin-ext);
@import url(../../../stylesheets/application.css);

body, #wrapper {
  background-color : #eee;
  font-family      : "Helvetica Neue", Helvetica, sans-serif;
}

a {
  text-decoration : underline;
}

a:hover {
  text-decoration : none;
}

a:hover, a:active {
  color : #2A5685;
}

#header, #top-menu {
  margin : 0;
}

#header {
  background-color : #333;
  padding          : 8px 8px 0 8px;
  /*height           : 5.5em;*/
}

#header h1 {
  margin : 0 24px 20px;
}

#header h1 .current-project {
  padding : 0 0 20px;
  display : block;
  text-transform: capitalize;
}

#header #quick-search {
  margin : 0 24px;
}

#top-menu {
  background-color : #000;
  font-size        : 14px;
  position         : relative;
  padding          : 0;
  height           : 30px
}

#top-menu ul {
  padding : 0 21px;
}

#top-menu li, #top-menu #loggedas {
  color        : #ddd;
  line-height  : 30px;
  margin-right : 4px;
}

#top-menu li a {
  color       : #EEE;
  font-weight : normal;
  padding     : 0 5px;
}

#top-menu li a:hover {
  color           : #fff;
  text-decoration : none;
}

#main {
  background : #EEE;
  margin     : 8px 24px 0 24px;
}

#content, #main.nosidebar #content {
  background         : #fff;
  border-right       : 1px solid #bbb;
  border-bottom      : 1px solid #bbb;
  overflow           : auto;
  -moz-box-shadow    : #bbb 1px 1px 2px;
  -webkit-box-shadow : 1px 1px 2px #bbb;
}

#content {
  width : 70%;
}

#content .wiki img {
  max-width  : 98%;
  margin     : .75rem 0 .75rem .5rem;
  box-shadow : 0 0 10px rgba(0, 0, 0, .3);
}

#main.nosidebar #content {
  width : auto;
}

#sidebar {
  width : 26%;
}

#footer {
  background-color : #EEE;
  border           : 0;
  clear            : left;
  color            : #666;
  font-size        : 9px;
  margin           : 4px 0 20px 20px;
  padding-bottom   : 15px;
  text-align       : left;
}

#footer a:hover {
  background : #666 none repeat scroll 0 0;
  color      : #FFF !important;
}

#footer a:link, #footer a:visited {
  color : #666;
}

/* Headers */
h1, h2, h3, h4 {
  font-family : "PT Sans Narrow", arial, sans-serif;
}

h1 {
  font-size   : 24px;
  font-weight : normal;
  margin      : 0 0 0 0.25em;
  padding     : 0 0 10px;
  text-align  : left;
}

h2, h3, h4, .wiki h1, .wiki h2, .wiki h3 {
  border-bottom : 0;
}

h2, .wiki h1 {
  background-color : #edf3fe;
  margin           : 6px -10px 10px;
  padding          : 10px 20px 10px 10px;
  font-size        : 24px;
  color            : #000;
}

.wiki h1 {
  font-family : "Trebuchet MS", Verdana, sans-serif;
  font-weight : bold;
}

.wiki h2 {
  background-color : transparent;
  border-bottom    : 1px solid #000;
  font-size        : 18px;
  font-weight      : 400;
  padding-left     : 10px;
  margin           : 12px -7px 10px;
}

div.issue div.wiki h3 {
  text-decoration : underline;
}

h3, h4 {
  font-weight : normal;
}

div.wiki h3, div.wiki h4 {
  font-weight : bold;
}

#sidebar h3 {
  border-bottom : 1px solid #DCDCDC;
  padding       : 6px 8px;
}

div.journal h4 {
  background-color : #EDF3FE;
  border-left      : 3px solid #9FBFFA;
  padding          : 10px;
}

div.splitcontentleft h2 {
  background-color : transparent;
  padding          : 0;
  margin           : 20px 0 5px 0;
}

/* Links */
#sidebar a:hover {
  background-color : #003399;
  color            : #FFF;
  text-decoration  : none;
}

/* Menu */
#main-menu {
  margin : 0 24px;
}

#main-menu li a {
  background-color : #666;
  font-weight      : normal;
  padding          : 4px 8px 6px;
}

#main-menu li a:hover {
  background      : #999;
  text-decoration : none;
}

#main-menu li a.selected, #main-menu li a.selected:hover {
  background-color : #EEE;
  color            : #111;
  font-weight      : bold;
}

/* Tables */
table.list {
  border : none;
}

table.list th {
  background-color : #fff;
}

table.list td {
  vertical-align : middle;
}

table.list tbody td, table.list tbody tr td, table.list tbody tr td.checkbox {
  border-bottom : solid 1px #ddd;
  font-size     : .75rem;
  padding       : 5px 10px 5px 3px;
}

table.list thead th {
  border         : none;
  border-bottom  : 1px solid #999;
  font-size      : 9px;
  font-weight    : normal;
  padding        : 0 3px 3px;
  text-transform : uppercase;
}

table.list thead th a {
  color : #000;
}

table.list thead th a:hover {
  color : #000;
}

/* Issues grid styles by priorities (provided by Wynn Netherland) */
table.list tr.issue a {
  color : #333;
}

/*adjust the css according to your priority ids, for Redmine 2.1*/
tr.odd.priority-8, table.list tbody tr.odd.priority-8:hover {
  color : #559;
}

tr.odd.priority-8 {
  background : #eaf7ff;
}

tr.even.priority-8, table.list tbody tr.even.priority-8:hover {
  color : #559;
}

tr.even.priority-8 {
  background : #f2faff;
}

tr.priority-8 a {
  color : #559;
}

tr.odd.priority-8 td, tr.even.priority-8 td {
  border-color : #add7f3;
}

tr.odd.priority-7, table.list tbody tr.odd.priority-7:hover {
  color       : #900;
  font-weight : bold;
}

tr.odd.priority-7 {
  background : #ffc4c4;
}

tr.even.priority-7, table.list tbody tr.even.priority-7:hover {
  color       : #900;
  font-weight : bold;
}

tr.even.priority-7 {
  background : #ffd4d4;
}

tr.priority-7 a, tr.priority-7:hover a {
  color : #900;
}

tr.odd.priority-7 td, tr.even.priority-7 td {
  border-color : #ffb4b4;
}

tr.odd.priority-6, table.list tbody tr.odd.priority-6:hover {
  color : #900;
}

tr.odd.priority-6 {
  background : #ffc4c4;
}

tr.even.priority-6, table.list tbody tr.even.priority-6:hover {
  color : #900;
}

tr.even.priority-6 {
  background : #ffd4d4;
}

tr.priority-6 a {
  color : #900;
}

tr.odd.priority-6 td, tr.even.priority-6 td {
  border-color : #ffb4b4;
}

tr.odd.priority-5, table.list tbody tr.odd.priority-5:hover {
  color : #900;
}

tr.odd.priority-5 {
  background : #fee;
}

tr.even.priority-5, table.list tbody tr.even.priority-5:hover {
  color : #900;
}

tr.even.priority-5 {
  background : #fff2f2;
}

tr.priority-5 a {
  color : #900;
}

tr.odd.priority-5 td, tr.even.priority-5 td {
  border-color : #fcc;
}

tr.odd.priority-3, table.list tbody tr.odd.priority-3:hover {
  color : #559;
}

tr.odd.priority-3 {
  background : #eaf7ff;
}

tr.even.priority-3, table.list tbody tr.even.priority-3:hover {
  color : #559;
}

tr.even.priority-3 {
  background : #f2faff;
}

tr.priority-3 a {
  color : #559;
}

tr.odd.priority-3 td, tr.even.priority-3 td {
  border-color : #add7f3;
}

tr.odd.priority-1, table.list tbody tr.odd.priority-1:hover {
  color : #559;
}

tr.odd.priority-1 {
  background : #eaf7ff;
}

tr.even.priority-1, table.list tbody tr.even.priority-1:hover {
  color : #559;
}

tr.even.priority-1 {
  background : #f2faff;
}

tr.priority-1 a {
  color : #559;
}

tr.odd.priority-1 td, tr.even.priority-1 td {
  border-color : #add7f3;
}

p.breadcrumb {
  background-color : #EEE;
  border-bottom    : 1px solid white;
  font-size        : 0.9em;
  margin           : -6px -10px 6px;
  padding          : 6px;
  text-indent      : 15px;
}

/* Fields */
input[type="text"], input[type="password"], textarea, select {
  padding : 2px;
  border  : 1px solid #d7d7d7;
}

input[type="text"], input[type="password"] {
  padding : 3px;
}

input[type="text"]:focus, input[type="password"]:focus, textarea:focus, select:focus {
  border : 1px solid #886;
}

option {
  border-bottom : 1px dotted #d7d7d7;
}

input#issue_subject {
  font-size : 200%;
  width     : 90%;
}

textarea.wiki-edit {
  font-family : "Helvetica Neue", Helvetica, sans-serif;
  font-size   : larger;
}

/* Misc */
.box {
  background-color : #fcfcfc;
}

.contextual {
  font-size   : 14px;
  font-family : "Helvetica Neue", Helvetica, sans-serif;
  margin      : 10px 0 0
}

hr {
  background : #eee;
}

div.issue {
  background : #FFFFEC;
}

div.splitcontentleft ol li, div.splitcontentleft ul li, div.wiki ol li, div.wiki ul li {
  padding : 4px 0;
}

div.wiki ul.toc li {
  padding : 0;
}

ol li ol li {
  list-style-type : lower-alpha;
}

ol li ol li ol li {
  list-style-type : lower-roman;
}

#b_scroller {
  background  : url("data:image/PNG;base64,iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAABZVBMVEUAAABKUViXnqJ1foBye4AAAAB/f3////9tdXyVnKFIU1d/f7+RmqOZmaqZoaGWnKOHi5KXnaKUnqGWoKWDkJR4foN1e4GWnaKVnqOWnKGUnqOWnqKVnqJxfIJudXdZZWmUnKNUXWVLUFVLUVZIUVttdnuWnaORo6NIUlVIUldLUVaWnqKVnaNLUVhKUVZKUVdLU1VIUFZKUlVKU1VIVFRFUVxMUllmb3WWnqP///99hYtKUleOlZl1fYNocXdncHbCxsnGycyXoKVpcniqr7SiqKyaoKSiqa3Dx8mtsrWCiY6/w8bs7e77+/uUnKHMz9Ht7u9/iI1udnzBxMeyt7pXYGWTnKHv8PCytrmzt7qssbRhaG2Smp9pcXdgaG7V2NqUnaKus7ZTW2CLk5iUm6B/houTm6B0fYNocXZsdXtsdHtTXGHN0NLx8vP6+vrz9PR8hIno6erp6ut5gYZZYGaLkpiCio+Z8om8AAAAN3RSTlMASGxdVwECAXdoRgQcDx5OQi/dMzxZVWtq9vWrTVpvP98/My8cdK0O1s9YgYBRkIlf4NxZKhYoLSWAQgAAAVZJREFUeF7dz8V2wzAUhGEXnDRJmZmZWXI4ZWZmZqbnr6xMunF8dLXtrP9vMYZcR60vU7HKgjwjtUBPFSesujeQBJ52TlyNR4IKTp7PBt5GOij2CpDPNZYrQIkOKBKgUAeUClCmA8oFyNIB2f8aJOJ6IGFZcSpAD6EG6CEIAP3aLoQKoF/6fINQAvQL1xBKgP71GUIF5tBbFsSiAkwto4d4CQddAcS77CE+wowFFae/f+z+YE+KKGMQ7mBW9owlBYNwA+jn7WzLIQDS9g7hBlZlj+0LsckgXMDEqXUuC4inSQbhBBDTMsBm0EOkA/wswpyDAKALALoA0BAAdNEGQBY5ADQBUMc1RL0ADZwuYk0CNK/TxUaLAK3bO1QR/RoTwOw8PKKJ45Muw1536CJyebWSbje3sdTu7h8eQ30SmP0h4gZELcXgEAUMjxh/84z6MxTzj5sy/QUsZM/MDl7KnwAAAABJRU5ErkJggg==");
  width       : 48px;
  height      : 48px;
  opacity     : 0;
  right       : 1rem;
  bottom      : -3rem;
  position    : fixed;
  transition  : bottom 0.3s ease, opacity .5s ease, visible 1s ease;
  will-change : bottom, opacity, visible;
  cursor      : pointer;
}

#b_scroller.show {
  bottom     : 1rem;
  opacity    : 1;
  transition : bottom 1s ease, opacity .3s ease, visible 1s ease;
}

.tabular label {
  padding : 3px 0 0;
}

.tabular textarea {
  padding : 3px;
}

.tabular textarea,
.tabular select,
.tabular input[type=text] {
  font-family : "Helvetica Neue", Helvetica, sans-serif;
  font-size   : .75rem;
}

input[type=button],
input[type=submit] {
  font-family      : "Helvetica Neue", Helvetica, sans-serif;
  font-size        : .75rem;
  border           : 1px solid #25729a;
  border-radius    : 3px;
  padding          : 5px 10px;
  text-decoration  : none;
  cursor           : pointer;
  display          : inline-block;
  text-shadow      : -1px -1px 0 rgba(0, 0, 0, 0.3);
  font-weight      : bold;
  color            : #FFFFFF;
  background-color : #3093c7;
  background-image : linear-gradient(to bottom, #3093c7, #1c5a85);
}